/**
 * Vuetify Styles Overrides
 */

// Flex min-width: 0
.v-application .d-flex {
  min-width: 0;
}

// Text Overrides
.v-application p {
  margin-bottom: 20px;
}

.v-application .text-number {
  font-family: -apple-system,BlinkMacSystemFont,Segoe UI,Helvetica,Arial,sans-serif,Apple Color Emoji,Segoe UI Emoji !important;
}

// List Component
.v-list-item__title {
  font-size: 0.975rem;
  font-weight: 600;
}

.v-list-item__action:first-child,
.v-list-item__icon:first-child {
  margin-right: 14px !important;
}

.v-application--is-rtl {
  .v-list-item__action:first-child,
  .v-list-item__icon:first-child {
    margin-right: 0 !important;
    margin-left: 14px !important;
  }
}

.v-list-item__action:first-child,
.v-list-item__icon:first-child {
  margin-right: 14px !important;
}

.v-list-group__header__append-icon .v-icon {
  font-size: 1rem;
}

.v-list-group__header .v-list-item__icon.v-list-group__header__append-icon {
  min-width: 0 !important;
}

.v-list-item__icon {
  margin: auto;
  justify-content: center;
}

.v-list-group--sub-group .v-list-group__header {
  padding-left: $spacer !important;
}

.v-list-group__items {
  margin-bottom: $spacer;
}

// Navigation Drawer
.v-navigation-drawer__content {
  flex: 1 1 auto;
  overflow-y: auto;
  min-height: 0px;
  padding: 8px 0;
  background: linear-gradient(white 30%, rgba(255, 255, 255, 0)), linear-gradient(rgba(255, 255, 255, 0), white 70%) 0 100%, radial-gradient(farthest-side at 50% 0, rgba(0, 0, 0, 0.06), rgba(0, 0, 0, 0)), radial-gradient(farthest-side at 50% 100%, rgba(0, 0, 0, 0.06), rgba(0, 0, 0, 0)) 0 100%;
  background-repeat: no-repeat;
  background-size: 100% 40px, 100% 40px, 100% 15px, 100% 15px;
  background-attachment: local, local, scroll, scroll;
}

.theme--dark .v-navigation-drawer__content {
  background: none;
}

// Tables
.v-data-table {
  table {
    padding: 4px;
    padding-bottom: 8px;

    th {
      text-transform: uppercase;
      white-space: nowrap;
    }

    td {
      border-bottom: 0 !important;
    }

    tbody {
      tr {
        transition: box-shadow 0.2s, transform 0.2s;

        &:not(.v-data-table__selected):hover {
          box-shadow: 0 3px 15px -2px rgba(0, 0, 0, 0.12);
          transform: translateY(-4px);
        }
      }
    }
  }
}

// Tabs
.v-tabs-items {
  background-color: transparent !important;
}

// Buttons
.theme--dark.v-btn:not(.v-btn--flat):not(.v-btn--text):not(.v-btn--outlined) {
  background-color: #273743;
}

// Rows
.row {
  margin-top: 0 !important;
  margin-bottom: 0 !important;
}


.col-xl, .col-xl-auto, .col-xl-12, .col-xl-11, .col-xl-10, .col-xl-9, .col-xl-8, .col-xl-7, .col-xl-6, .col-xl-5, .col-xl-4, .col-xl-3, .col-xl-2, .col-xl-1, .col-lg, .col-lg-auto, .col-lg-12, .col-lg-11, .col-lg-10, .col-lg-9, .col-lg-8, .col-lg-7, .col-lg-6, .col-lg-5, .col-lg-4, .col-lg-3, .col-lg-2, .col-lg-1, .col-md, .col-md-auto, .col-md-12, .col-md-11, .col-md-10, .col-md-9, .col-md-8, .col-md-7, .col-md-6, .col-md-5, .col-md-4, .col-md-3, .col-md-2, .col-md-1, .col-sm, .col-sm-auto, .col-sm-12, .col-sm-11, .col-sm-10, .col-sm-9, .col-sm-8, .col-sm-7, .col-sm-6, .col-sm-5, .col-sm-4, .col-sm-3, .col-sm-2, .col-sm-1, .col, .col-auto, .col-12, .col-11, .col-10, .col-9, .col-8, .col-7, .col-6, .col-5, .col-4, .col-3, .col-2, .col-1 {
  width: 100%;
  padding-top: 4px !important;
  padding-right: 24px !important;
  padding-bottom: 4px !important;
  padding-left: 24px !important;
}
.v-text-field {
  padding: 0px !important;
  margin-top: 0px !important;

}
.v-text-field.v-text-field--enclosed .v-text-field__details {
  padding-top: 0px !important;
  margin-bottom: 0px !important;;
}
.v-text-field--filled > .v-input__control > .v-input__slot, .v-text-field--full-width > .v-input__control > .v-input__slot, .v-text-field--outlined > .v-input__control > .v-input__slot {
  align-items: center !important;
  max-height: 102px !important;
  min-height: 48px !important;
}
.v-text-field--outlined .v-label {
  top: 7px !important;
}
.v-text-field--full-width .v-input__prepend-outer, .v-text-field--full-width .v-input__prepend-inner, .v-text-field--full-width .v-input__append-inner, .v-text-field--full-width .v-input__append-outer, .v-text-field--enclosed .v-input__prepend-outer, .v-text-field--enclosed .v-input__prepend-inner, .v-text-field--enclosed .v-input__append-inner, .v-text-field--enclosed .v-input__append-outer {
  margin-top: 10px !important;
}

a.v-breadcrumbs__item {
  color: #bf87a0 !important;
}
.mygrad {
  background-image: linear-gradient(to right, #bf87a0 , #d5b5a6 );
}

